# import_playbook – Import a playbook

New in version 2.4.

- Synopsis
- Parameters
- Notes
- See Also
- Examples
- Status

## Synopsis

- Includes a file with a list of plays to be executed.
- Files with a list of plays can only be included at the top level.
- You cannot use this action inside a play.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
free-form - |  | The name of the imported playbook is specified directly without any other option.

## Notes

Note

- This is a core feature of Ansible, rather than a module, and cannot be overridden like a module.

## See Also

See also

import_role – Import a role into a play
  The official documentation on the import_role module.
import_tasks – Import a task list
  The official documentation on the import_tasks module.
include_role – Load and execute a role
  The official documentation on the include_role module.
include_tasks – Dynamically include a task list
  The official documentation on the include_tasks module.
Including and Importing
  More information related to including and importing playbooks, roles and tasks.

## Examples

    - hosts: localhost
      tasks:
        - debug:
            msg: play1

    - name: Include a play after another play
      import_playbook: otherplays.yaml

    - name: This DOES NOT WORK
      hosts: all
      tasks:
        - debug:
            msg: task1

        - name: This fails because I'm inside a play already
          import_playbook: stuff.yaml

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Core Team. [core]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Ansible Core Team (@ansible)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.